#
# spec file for package susefax (Version 1.0beta3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  java xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip java kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         susefax
Copyright:    1997-2000 SuSE GmbH, Nuernberg
Group:        X11/Applications
Url:          http://www.suse.de
Provides:     SuSEFax 
Requires:     jre1.1.x
Autoreqprov:  on
Summary:      A fax client for the HylaFAX fax server
Version:      1.0beta3
Release:      47
Source:       SuSEFax.tar.gz
# ---------------------------------------------------------------------------
%prep
%setup -n SuSEFax
# ---------------------------------------------------------------------------

%build
make
# ---------------------------------------------------------------------------

%install
make install

%files
/usr/X11R6/bin/susefax
/usr/X11R6/bin/susephone
%doc COPYING.GPL
%doc COPYRIGHT
%doc README.SuSE
%doc faxcover
/usr/lib/SuSEFax
# ---------------------------------------------------------------------------

%description
This is a fax client for the HylaFax(tm) fax server maintained and programmed
by Sam Leffler (SGI).  It is totally implemented in Java and requires the Java
Developer Kit (JDK), at least version 1.1.1 (package java, series d).
It supports:
* integrated phone book
* sending faxes directly from the phone book
* setting up job parameters before sending a job and
during processing of the job in the job queue
* removing jobs from the job queue
* direct viewing of received faxes (needs an external tiffg3 viewer
or converter. For Linux and UNIX, the converting is done by fax2ps from
libtiff and viewing by ghostview or gv automatically by a script
included with this package)
* creating of serial fax lists out of the phone book entries
* automatic cover page generation (not very fast)
* auto-spooling (important for Windows users)
This program is also running on WINDOWS and hopefully
all the other platforms that support Java by the JDK from Sun.
It has been tested on WindowsNT 4.0 and it seems to run.
* password prompting if the administrator of the fax server
wants the users to access the server via password
* JDBC Support

Authors:
--------
    Carsten Hoeger <Carsten.Hoeger@suse.de>

SuSE series: n


%changelog -n susefax
* Thu Sep 20 2001 - pmladek@suse.cz
- fixed requires - it works with all javas
* Wed Aug 15 2001 - choeger@suse.de
- update to 1.0beta3 with support for hungarian language,
  thanks to Breuer Peter <comp@suselinux.hu>
* Mon Mar 12 2001 - uli@suse.de
- added xf86 to neededforbuild
* Fri Jan 05 2001 - choeger@suse.de
- new version 1.0beta2
  Bugfix: one was only able to send one fax without
  restarting SuSEFax
* Fri Mar 31 2000 - choeger@suse.de
- some grammatical corrections in FaxLanguage.java
  made bei Edith Parzefall <emap@suse.de>
* Wed Mar 08 2000 - choeger@suse.de
- added the lost Requirement to package java
* Mon Feb 21 2000 - choeger@suse.de
- new version 1.0beta1
* Mon Jan 17 2000 - choeger@suse.de
- new version 1.0beta
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 25 1999 - choeger@suse.de
- bugfix for SuSEFax.java
  (Nullpointer-Exception during Language-Selection)
* Fri Jan 15 1999 - choeger@suse.de
- just another fix for docview
* Fri Dec 18 1998 - choeger@suse.de
- fix for docview (tiff-bins travelling from /usr/ to
  /usr/X11 and again to /usr..... :-( )
* Mon Nov 23 1998 - choeger@suse.de
- new version PRE1.0alpha1
* Mon Jul 06 1998 - choeger@suse.de
- 0.84v1 with bugfixes
* Wed May 27 1998 - choeger@suse.de
- new version 0.84 (now supports serialfax with coverpage)
* Mon Mar 30 1998 - choeger@suse.de
- again an error in TimeZone-handling... :-( 0.83v2
* Thu Mar 26 1998 - choeger@suse.de
- new version 0.83v1
* Tue Feb 24 1998 - choeger@suse.de
- new version 0.81
* Mon Dec 08 1997 - choeger@suse.de
- new version 0.8 with fax-polling-support
* Thu Dec 04 1997 - choeger@suse.de
- fixed some orthographical errors
* Tue Dec 02 1997 - choeger@suse.de
- 0.7v3 with some fixes and extra garbage-collection under Windows
* Fri Oct 31 1997 - choeger@suse.de
- 0.7v2 with possibility to save or view received faxes
* Wed Oct 01 1997 - choeger@suse.de
- 0.7v1 with some extensions
* Fri Aug 29 1997 - 
- new version 0.7 with Toolbar Buttons :-)
* Mon Aug 25 1997 - choeger@suse.de
- new version with fixes in NetCon v0.6b4
* Mon Aug 18 1997 - choeger@suse.de
- fixed simple bug in start wrapper
* Thu Jul 17 1997 - choeger@suse.de
- new version 0.6b3 with fixes and new features
* Thu May 22 1997 - choeger@suse.de
- new version 0.6 with bugfixes
* Fri May 16 1997 - choeger@suse.de
- added support to send a fax at a specific time
- new version v0.5
* Tue May 13 1997 - choeger@suse.de
- fixed a bug that results of the new TimeZone/Locale/Calendar
  behaviour of jdk1.1.1
* Fri May 09 1997 - choeger@suse.de
- new version v0.4
- complete ported to jdk1.1.1
- NEEDS jdk1.1.1 !!!
* Mon May 05 1997 - choeger@suse.de
- new version v0.3 and small doku
* Sat Apr 26 1997 - choeger@suse.de
- fixed a bug in PhoneBook.java
* Fri Apr 25 1997 - choeger@suse.de
- created new package, v0.1
